- Method:
DELETE
- Path:
/v1/orgs/{org}/api-tokens/{token_id}
- Operation ID:
revokeApiToken
- Tag: API keys
Send Authorization: Bearer <credential>. The credential is either an API key (vsk_…) created for an organization, or an OIDC access token obtained by signing in to VirtScale.
| Name |
Type |
Required |
Description |
token_id |
string (uuid) |
Yes |
|
org |
string (uuid) |
Yes |
The organization’s id. |
| Field |
Type |
Required |
Enum |
Description |
created_at |
string (date-time) |
Yes |
|
|
expires_at |
string (date-time), nullable |
No |
|
|
id |
string (uuid) |
Yes |
|
|
last_used_at |
string (date-time), nullable |
No |
|
|
name |
string |
Yes |
|
|
revoked_at |
string (date-time), nullable |
No |
|
|
scopes |
array of string |
Yes |
|
|
Every error response is application/problem+json (schema Problem).
| Status |
Meaning |
| 401 |
The credential is missing or invalid. |
| 403 |
The credential does not have permission to perform this operation. |
| 404 |
The resource does not exist. |
| default |
Any other status is possible; the code field identifies the error. |
curl -X DELETE "https://api.virtscale.nl/v1/orgs/$ORG_ID/api-tokens/$TOKEN_ID" \
-H "Authorization: Bearer $VIRTSCALE_API_KEY"